ProtoPedia API Ver 2.0
    • ProtoPediaとは
    • 作品一覧取得(JSON)
      GET
    • 作品一覧取得(TSV)
      GET
    • 開発素材一覧取得
      GET
    • イベント作品関連登録
      POST
    • イベント作品関連削除
      DELETE

      開発素材一覧取得

      GET
      /api/material/list
      このエンドポイントはProtoPediaの開発素材一覧を取得するために使用されます。利用者はクエリパラメータを使用して、特定の条件に合わせた素材を検索できます。
      認証要件: ProtoPediaで発行した指定のトークンの指定が必要です。

      リクエストパラメータ

      Authorization
      Headerにパラメータ
      Authorization
      を追加し、その値にはBearerの後にTokenを連結します
      例:
      Authorization: Bearer ********************
      クエリパラメータ

      レスポンス

      🟢200
      application/json
      HTTP 200 response
      ボディapplication/json

      リクエストリクエストExample
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://protopedia.net/v2//api/material/list?companySlug=undefined&limit=undefined&offset=undefined' \
      --header 'Authorization: Bearer <token>'
      レスポンスレスポンスExample
      {
          "metadata": {
              "detail": "The request sent by the client was successful.",
              "title": "OK",
              "status": 200
          },
          "count": 1,
          "links": {
              "self": {
                  "href": "/v2/api/material/list"
              }
          },
          "results": [
              {
                  "subCategoryNms": "音声/テキスト/データ,ユーティリティ/仕事効率化",
                  "updateDate": "2022-07-14 14:28:31.0",
                  "materialType": "1",
                  "materialNm": "ProtoPedia API",
                  "subCategoryIds": "005,016",
                  "uuid": "08483fa5-5234-4797-b9c3-32fe4fa163b3",
                  "providerUrl": "https://protopediaapi.docs.apiary.io/",
                  "logoUrl": "https://protopedia.net/pic/668da4c4-832c-47d2-995e-d33c25cab452.png",
                  "updateId": 486,
                  "companyId": 1,
                  "companyNm": "一般社団法人 MA",
                  "createId": 254,
                  "companySlug": "ma",
                  "categoryNm": "API",
                  "id": 463,
                  "freeComment": "ProtoPediaの作品にAPIを利用することによってアクセスすることができます。\r\n「作る、見せる、語る、楽しむ」ために活用してください。",
                  "officialFlg": 0,
                  "categoryId": "01",
                  "status": 1,
                  "createDate": "2020-10-22 23:50:05.0"
              }
          ]
      }
      更新日時 2026-04-09 10:54:52
      前へ
      作品一覧取得(TSV)
      次へ
      イベント作品関連登録
      Built with